cURL
curl --request POST \ --url https://api.example.com/v1/cohorts \ --header 'Content-Type: application/json' \ --data ' { "course_id": "<string>", "name": "<string>", "code": "<string>", "language": "<string>", "starts_at": "<string>", "ends_at": "<string>", "metadata": {} } '
Start a new run of a course for a group of students.
Documentation IndexFetch the complete documentation index at: https://docs.hawkings.education/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.hawkings.education/llms.txt
Use this file to discover all available pages before exploring further.
const cohort = await hk.cohorts.create({ course_id: "crs_123", name: "Fall 2026, Group A", code: "PHYS-201-FA26-A", starts_at: "2026-09-01", ends_at: "2026-12-15", });